Subject: [rtcweb] Referring to 5245bis or 5245?

From: Sean Turner <[email-masked]>
Date: Thu, 18 May 2017 10:12:53 -0400

ekr’s discuss on draft-ietf-rtcweb-overview has raised whether drafts should refer to RFC 5245 or draft-ietf-ice-rfc5245bis.  We only need to normatively refer to 5245bis if a technical part of 5245bis needs to be read and implemented in order to implement the referring draft.  We have 7 drafts that refer to RFC 5245 and 2  that refer to draft-ietf-rfc5245bis:

draft-ietf-rtcweb-overview: As noted in my response to ekr’s discuss position [0], the chairs believe that the reference to “ICE” in the ICE Agent definition should be to RFC 5245.

draft-ietf-rtcweb-transports: Likewise, the chairs believer that a reference to RFC 5245 is also appropriate in transports.  This draft was changed in version -17 to refer to 5245bis.  From GH: "The drafts -bundle and -dualstack-fairness both depend on 5245bis according to Cullen's chart in 'rtcweb-deps-13', and we already have a normative dependency from -transport on these.  So consistency of the bundle is improved by referencing 5245bis."

spt

[0] https://mailarchive.ietf.org/arch/msg/rtcweb/GWdXRIO68FZwVtzzqugnELKeaY8

---

From: Martin Thomson <[email-masked]>
Date: Thu, 18 May 2017 10:54:27 -0400

I'm really confused about the statement regarding -transports.  You
say that 5245 is sufficient, then follow with justification for the
opposite position.

If we have as large a dependency as bundle that refers to 5245bis,
then we are taking a transitive dependency on 5245bis and might as
well refer to that.

A lot of this comes down to what bundle says.  Now, I see that bundle
depends on both 5245 and its -bis, which seems pretty inconsistent.  I
don't immediately see any strong reason for bundle to refer to the
-bis, though it does refer to the ice-sip-sdp draft, which might be
sufficiently implicated as to make the change necessary.  We should
ask Christer to confirm this.

I think that if we clarify that either way, then the reference in
-dualstack-fairness seems less of a concern; that document doesn't
need to reference 5245bis, though it would be nice if it could.

On 18 May 2017 at 10:12, Sean Turner <[email-masked]> wrote:
> _______________________________________________
> rtcweb mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/rtcweb

---

From: Sean Turner <[email-masked]>
Date: Thu, 18 May 2017 11:35:15 -0400

> On May 18, 2017, at 10:54, Martin Thomson <[email-masked]> wrote:
> 

Sorry the change from 5425 to 5245bis was included in the latest version using that rationale.  This shows to me that it was “nice” to get alignment and point to 5245bis not that it is necessary to point 5245.  I.e., it’d be just fine to switch it back to referring to 5245.

> need to reference 5245bis, though it would be nice if it could.

Exactly!

spt

---

From: Sean Turner <[email-masked]>
Date: Thu, 18 May 2017 11:37:49 -0400

> On May 18, 2017, at 11:35, Sean Turner <[email-masked]> wrote:
> 
> 

Whoops:

This shows to me that it was “nice” to get alignment and point to 5245bis not that it is necessary to point 5245bis.  I.e., it’d be just fine to switch it back to referring to 5245.

---

From: Christer Holmberg <[email-masked]>
Date: Thu, 18 May 2017 16:34:18 +0000

Hi,

...

>A lot of this comes down to what bundle says.  Now, I see that bundle depends on both 5245 and its -bis, which seems pretty inconsistent. 
> I don't immediately see any strong reason for bundle to refer to the -bis, though it does refer to the ice-sip-sdp draft, which might be 
>sufficiently implicated as to make the change necessary.  We should ask Christer to confirm this.

I don't think BUNDLE as such requires 5245bis. The references to ice-sdp-sdp could also be replaced with a reference to 5245.

However, the text in section 11.1 says:

   "When an offerer associates a shared address with a bundled "m=" line,
   the offerer MUST associate SDP 'candidate' attributes (and other
   applicable ICE-related media-level SDP attributes) with the "m=" line
   following the procedures in Section 8.1."

...and later:

   "NOTE: The following ICE-related media-level SDP attributes are
   defined in [I-D.ietf-mmusic-ice-sip-sdp]: 'candidiate', 'remote-
   candidates', 'ice-mismatch', 'ice-ufrag', 'ice-pwd', and 'ice-
   pacing'."

The 'ice-pacing' attribute did not exist in 5245, so if we change the reference we would have to remove that.

>I think that if we clarify that either way, then the reference in -dualstack-fairness seems less of a concern; that document
>doesn't need to reference 5245bis, though it would be nice if it could.

I think the document people have been talking about is ice-trickle. Some people seem to think that it requires 5245bis.

Of course, by referencing 5245 we will still have things like aggressive nomination around. That obviously doesn't break RTCWEB, but I understood RTCWEB was the main reason we wanted to get rid of those things...

Also, at IETF#97 we agreed on a number of things that will be defined in draf-ice-sdp-sip, e.g., when a transport change requires a new offer/answer exchange, non-supported m- lines in offers/answers etc. Those things may not be important for RTCWEB, but they could be important for other, SDP O/A-related, RTCWEB dependencies.

Regards,

Christer

---

From: Bernard Aboba <[email-masked]>
Date: Thu, 18 May 2017 09:50:14 -0700

Sean said:

"draft-ietf-rtcweb-transports: Likewise, the chairs believer that a
reference to RFC 5245 is also appropriate in transports.  This draft was
changed in version -17 to refer to 5245bis.  From GH: "The drafts -bundle
and -dualstack-fairness both depend on 5245bis according to Cullen's chart
in 'rtcweb-deps-13', and we already have a normative dependency from
-transport on these.  So consistency of the bundle is improved by
referencing 5245bis.".

[BA] draft-ietf-rtcweb-overview has a normative reference to
draft-ietf-rtcweb-transports which has a normative reference to draft-
ietf-ice-dualstack-fairness which in turn has a normative reference to
draft-ietf-ice-rfc5245bis.  So even if you remove the normative reference
to RFC5245bis from overview and transports, publication of overview will
still be held up until publication of RFC 5245bis, which will obsolete RFC
5245.

On Thu, May 18, 2017 at 8:37 AM, Sean Turner <[email-masked]> wrote:

> > Sorry the change from 5425 to 5245bis was included in the latest version
> using that rationale.  This shows to me that it was “nice” to get alignment
> and point to 5245bis not that it is necessary to point 5245.  I.e., it’d be
> just fine to switch it back to referring to 5245.
>
> Whoops:
>
> This shows to me that it was “nice” to get alignment and point to 5245bis
> not that it is necessary to point 5245bis.  I.e., it’d be just fine to
> switch it back to referring to 5245.
>
> >>> ekr’s discuss on draft-ietf-rtcweb-overview has raised whether drafts
> should refer to RFC 5245 or draft-ietf-ice-rfc5245bis.  We only need to
> normatively refer to 5245bis if a technical part of 5245bis needs to be
> read and implemented in order to implement the referring draft.  We have 7
> drafts that refer to RFC 5245 and 2  that refer to draft-ietf-rfc5245bis:
> >>>
> >>> draft-ietf-rtcweb-overview: As noted in my response to ekr’s discuss
> position [0], the chairs believe that the reference to “ICE” in the ICE
> Agent definition should be to RFC 5245.
> >>>
> >>> draft-ietf-rtcweb-transports: Likewise, the chairs believer that a
> reference to RFC 5245 is also appropriate in transports.  This draft was
> changed in version -17 to refer to 5245bis.  From GH: "The drafts -bundle
> and -dualstack-fairness both depend on 5245bis according to Cullen's chart
> in 'rtcweb-deps-13', and we already have a normative dependency from
> -transport on these.  So consistency of the bundle is improved by
> referencing 5245bis."
> >>>
> >>> spt
> >>>

---

From: Christer Holmberg <[email-masked]>
Date: Thu, 18 May 2017 17:03:59 +0000

Hi,

In general, if people have issues with referencing 5245bis because they are afraid it will hold up publication of RTCWEB specs, note that I have indicated to the ICE WG chairs that I think 5245bis is getting ready for WGLC.

Regards,

Christer

From: rtcweb [mailto:[email-masked]] On Behalf Of Bernard Aboba
Sent: 18 May 2017 18:50
To: Sean Turner <[email-masked]>
Cc: RTCWeb IETF <[email-masked]>
Subject: Re: [rtcweb] Referring to 5245bis or 5245?

Sean said:

"draft-ietf-rtcweb-transports: Likewise, the chairs believer that a reference to RFC 5245 is also appropriate in transports.  This draft was changed in version -17 to refer to 5245bis.  From GH: "The drafts -bundle and -dualstack-fairness both depend on 5245bis according to Cullen's chart in 'rtcweb-deps-13', and we already have a normative dependency from -transport on these.  So consistency of the bundle is improved by referencing 5245bis.".
[BA] draft-ietf-rtcweb-overview has a normative reference to draft-ietf-rtcweb-transports which has a normative reference to draft-ietf-ice-dualstack-fairness which in turn has a normative reference to draft-ietf-ice-rfc5245bis.  So even if you remove the normative reference to RFC5245bis from overview and transports, publication of overview will still be held up until publication of RFC 5245bis, which will obsolete RFC 5245.

On Thu, May 18, 2017 at 8:37 AM, Sean Turner <[email-masked]<mailto:[email-masked]>> wrote:

> On May 18, 2017, at 11:35, Sean Turner <[email-masked]<mailto:[email-masked]>> wrote:
>
>
>> On May 18, 2017, at 10:54, Martin Thomson <[email-masked]<mailto:[email-masked]>> wrote:
>>

Whoops:

>> On 18 May 2017 at 10:12, Sean Turner <[email-masked]<mailto:[email-masked]>> wrote:
>>> [email-masked]<mailto:[email-masked]>

_______________________________________________
rtcweb mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/rtcweb

---

From: Cullen Jennings <[email-masked]>
Date: Mon, 22 May 2017 16:52:23 -0600

Note that I don't think the timeline is the major issue (it is an issue) ... they key issue is that 5245bis does not seem to be needed for any technical reason by WebRTC.

> On May 18, 2017, at 11:03 AM, Christer Holmberg <[email-masked]> wrote:
> 
> Hi,
> 
>  
>